\documentclass[tcc]{subfiles}

\begin{document}

\chapter{Controller model}
\label{ch:control}
\epigraph{\em ``Keep it simple:\\
as simple as possible,\\
but no simpler.''}{\em (Albert Einstein)}

\section{Requirements}
The controller shall
\begin{itemize}
    \item start the engine.
    \item purge the combustion chamber in case of a failed attempt at starting;
    \item prevent surge;
    \item accelerate and decelerate the engine according to pilot input (\acs{TLA}) in a timely fashion;
          \todo{be more specific}
    \item keep thrust proportional to \gls{TLA} when operating in steady state;
    \item not allow temperatures above \todo{1200K} at the turbine entry for more than \todo{5s};
    \item limit shaft rotation in \todo{120,000rpm};
    \item bring the engine to idle and shut it down when the pilot commands it;
    \item detect self extinction and cut-off the fuel supply.
\end{itemize}

\subsection{Remarks and rationale for requirements}
\begin{itemize}
    \item the \gls{FADEC} does not attempt to relight the engine automatically 
          because it can not determine if the engine is in a safe state
    \item temperature at the turbine entry is limited by the material \todo{calculations for choosing a value}
\end{itemize}

\section{Controller architecture}
\begin{figure}[tp]
    \centering
    \caption{State transition diagram for the \acs{FADEC}}
    \input{tikz/controller_state_machine}
    
    \source{\authorsfigure}
    \label{fig:controller_state_machine}
\end{figure}
The controller is implemented as a state machine \cite{amd_state_machine} 
 as shown in \autoref{fig:controller_state_machine}. 
The allowed states are
\begin{description}
    \item[Shutdown] engine is off. 
    \item[Dry crank] starter motor is on and engine rotates,
          but no fuel is supplied.
    \item[Lights off] the ignition per say. 
    \item[Acceleration and heat soak] after a successful ignition,
          the engine goes through an acceleration schedule that allows heat soaking. 
    \item[Normal Operation] when the engine is warm enough, it can be operated normally.
          This is the flight ready condition.
    \item[Purge] after an unsuccessful start, the engine must eliminate the unburnt fuel. 
    \item[Ground idle] before shutting down, the engine must be in a stable low rpm idle condition.
\end{description}


\section{Settings and gains}

\end{document}
